Package: org.gradle.language.base.plugins

## [Java] Class LifecycleBasePlugin

- org.gradle.language.base.plugins.LifecycleBasePlugin

- All Implemented Interfaces and Traits:
    Plugin

      @Incubating
      public class LifecycleBasePlugin
      extends Object

  A Plugin which defines a basic project lifecycle.

- - ### Field Summary

    Fields
    Modifiers | Name | Description
    --- | --- | ---
    `static String` | `ASSEMBLE_TASK_NAME` |
    `static String` | `BUILD_GROUP` |
    `static String` | `BUILD_TASK_NAME` |
    `static String` | `CHECK_TASK_NAME` |
    `static String` | `CLEAN_TASK_NAME` |
    `static String` | `VERIFICATION_GROUP` |

  - ### Methods Summary

    Methods
    Type | Name and description
    --- | ---
    `void` | `apply(org.gradle.api.internal.project.ProjectInternal project)`

  - ### Inherited Methods Summary

    Inherited Methods
    Methods inherited from class | Name
    --- | ---
    `class Object` | `wait, wait, wait, equals, toString, hashCode, getClass, notify, notifyAll`

- - ### Field Detail

    - #### public static final String ASSEMBLE_TASK_NAME

    - #### public static final String BUILD_GROUP

    - #### public static final String BUILD_TASK_NAME

    - #### public static final String CHECK_TASK_NAME

    - #### public static final String CLEAN_TASK_NAME

    - #### public static final String VERIFICATION_GROUP

  - ### Method Detail

    - #### public void apply(org.gradle.api.internal.project.ProjectInternal project)